Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.management.configuration
Interface JMSServerMBean

public interface JMSServerMBean
extends DeploymentMBean, JMSConstants

This class represents a JMS server. A JMS server manages connections and message requests on behalf of clients.

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.

Fields inherited from class weblogic.management.configuration.DeploymentMBean
`CACHING_STUB_SVUID, DEFAULT_ORDER, MAX_ORDER, MIN_ORDER`

Fields inherited from class weblogic.management.configuration.JMSConstants
`ACKNOWLEDGE_ALL, ACKNOWLEDGE_MODE_AUTO, ACKNOWLEDGE_MODE_CLIENT, ACKNOWLEDGE_MODE_DUPS_OK, ACKNOWLEDGE_MODE_NONE, ACKNOWLEDGE_ONE, ACKNOWLEDGE_PREVIOUS, DESTINATION_TYPE_QUEUE, DESTINATION_TYPE_TOPIC, DISCARD, ENABLED_DEFAULT, ENABLED_FALSE, ENABLED_TRUE, ERRORDESTINATION, FIFO, KEEP_NEW, KEEP_OLD, KEY_DIRECTION_ASCENDING, KEY_DIRECTION_DESCENDING, KEY_TYPE_BOOLEAN, KEY_TYPE_BYTE, KEY_TYPE_DOUBLE, KEY_TYPE_FLOAT, KEY_TYPE_INT, KEY_TYPE_LONG, KEY_TYPE_SHORT, KEY_TYPE_STRING, LOGGING, NO_DELIVERY, NON_PERSISTENT, PERSISTENT, PREEMPTIVE, PRIORITY_DEFAULT, PRIORITY_MAXIMUM, PRIORITY_MINIMUM, RANDOM, ROUND_ROBIN, SEND_QUOTA_BLOCKING_TIMEOUT, STORE_ENABLED_DEFAULT, STORE_ENABLED_FALSE, STORE_ENABLED_TRUE, STORE_TYPE_FILE, STORE_TYPE_JDBC, SYNCWRITE_CACHEFLUSH, SYNCWRITE_DIRECTWRITE, SYNCWRITE_DISABLED, TRANSACTION_MODE_51, TRANSACTION_MODE_NONE, TRANSACTION_MODE_XA`

Fields inherited from class weblogic.management.configuration.ConfigurationMBean
`CACHING_STUB_SVUID, DEFAULT_EMPTY_BYTE_ARRAY`

Method Summary
`boolean` | `addDestination(JMSDestinationMBean destination)` Add a JMS destination to the JMS server.
`boolean` | `addSessionPool(JMSSessionPoolMBean sessionPool)` Add a session pool to the JMS server.
`java.lang.String` | `getBlockingSendPolicy()` The JMS server's policy on whether to deliver smaller messages before larger ones when a destination has exceeded its message quota.
`long` | `getBytesMaximum()` The maximum bytes quota (total amount of bytes) that can be stored in this JMS server.
`long` | `getBytesThresholdHigh()` The upper threshold value that triggers events based on the number of bytes stored in the JMS server.
`long` | `getBytesThresholdLow()` The lower threshold value that triggers events based on the number of bytes stored in the JMS server.
`JMSDestinationMBean[]` | `getDestinations()` Return map containing all defined destinations and their associated JNDI names.
`int` | `getExpirationScanInterval()` The amount of time, in seconds, that the JMS server will pause between its cycles of scanning its destinations for expired messages to process (acccording to the specified Expiration Policy on the destinations).
`int` | `getMaximumMessageSize()` The maximum size of a message that will be accepted from producers on this JMS server.
`long` | `getMessagesMaximum()` The maximum message quota (total amount of messages) that can be stored in this JMS server.
`long` | `getMessagesThresholdHigh()` The upper threshold value that triggers events based on the number of messages stored in the JMS server.
`long` | `getMessagesThresholdLow()` The lower threshold value that triggers events based on the number of messages stored in the JMS server.
`JMSStoreMBean` | `getPagingStore()` The name of the dedicated JMS file store where message bodies are temporarily swapped out from memory when the JMS server's message load reaches a specified bytes/messages threshold.
`JMSSessionPoolMBean[]` | `getSessionPools()` Get all the session pools defined for the JMS server.
`JMSStoreMBean` | `getStore()` The persistent disk-based file or JDBC-accessible database for the JMS server.
`JMSTemplateMBean` | `getTemporaryTemplate()` The name of the existing JMS template that is used to create all temporary destinations, including temporary queues and temporary topics.
`boolean` | `isBytesPagingEnabled()` Specifies whether bytes paging is enabled on this JMS server for temporarily swapping message bodies out from memory to a persistent paging store when the JMS servers's byte load reaches a specified threshold.
`boolean` | `isMessagesPagingEnabled()` Specifies whether messages paging is enabled on this JMS server for temporarily swapping message bodies out from memory to a persistent paging store when the JMS servers's message load reaches a specified threshold.
`boolean` | `removeDestination(JMSDestinationMBean destination)` Removes a destination from the JNDI tree.
`boolean` | `removeSessionPool(JMSSessionPoolMBean sessionPool)` Remove a session pool from the JMS server.
`void` | `setBlockingSendPolicy(java.lang.String blockingSendPolicy)` The JMS server's policy on whether to deliver smaller messages before larger ones when a destination has exceeded its message quota.
`void` | `setBytesMaximum(long bytesMaximum)` The maximum bytes quota (total amount of bytes) that can be stored in this JMS server.
`void` | `setBytesPagingEnabled(boolean enabled)` Specifies whether bytes paging is enabled on this JMS server for temporarily swapping message bodies out from memory to a persistent paging store when the JMS servers's byte load reaches a specified threshold.
`void` | `setBytesThresholdHigh(long bytesThresholdHigh)` The upper threshold value that triggers events based on the number of bytes stored in the JMS server.
`void` | `setBytesThresholdLow(long bytesThresholdLow)` The lower threshold value that triggers events based on the number of bytes stored in the JMS server.
`void` | `setDestinations(JMSDestinationMBean[] destinations)` Set all defined destinations for the JMS server.
`void` | `setExpirationScanInterval(int scanPeriod)` The amount of time, in seconds, that the JMS server will pause between its cycles of scanning its destinations for expired messages to process (acccording to the specified Expiration Policy on the destinations).
`void` | `setMaximumMessageSize(int maxMessageSize)` The maximum size of a message that will be accepted from producers on this JMS server.
`void` | `setMessagesMaximum(long messagesMaximum)` The maximum message quota (total amount of messages) that can be stored in this JMS server.
`void` | `setMessagesPagingEnabled(boolean enabled)` Specifies whether messages paging is enabled on this JMS server for temporarily swapping message bodies out from memory to a persistent paging store when the JMS servers's message load reaches a specified threshold.
`void` | `setMessagesThresholdHigh(long messagesThresholdHigh)` The upper threshold value that triggers events based on the number of messages stored in the JMS server.
`void` | `setMessagesThresholdLow(long messagesThresholdLow)` The lower threshold value that triggers events based on the number of messages stored in the JMS server.
`void` | `setPagingStore(JMSStoreMBean store)` The name of the dedicated JMS file store where message bodies are temporarily swapped out from memory when the JMS server's message load reaches a specified bytes/messages threshold.
`void` | `setSessionPools(JMSSessionPoolMBean[] sessionPools)` Set all the session pools defined for the JMS server.
`void` | `setStore(JMSStoreMBean store)` The persistent disk-based file or JDBC-accessible database for the JMS server.
`void` | `setTemporaryTemplate(JMSTemplateMBean temporaryTemplate)` The name of the existing JMS template that is used to create all temporary destinations on the JMS server, including temporary queues and temporary topics.

Methods inherited from interface weblogic.management.configuration.DeploymentMBean
`addTarget, getDeploymentOrder, getTargets, removeTarget, setDeploymentOrder, setTargets`

Methods inherited from interface weblogic.management.configuration.ConfigurationMBean
`freezeCurrentValue, getNotes, restoreDefaultValue, setComments, setDefaultedMBean, setNotes, setPersistenceEnabled`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Method Detail

### getSessionPools

    public JMSSessionPoolMBean[] getSessionPools()

  Get all the session pools defined for the JMS server.

  A non-configurable MBean attribute.
  Returns:
    The sessionPools value

### setSessionPools

    public void setSessionPools(JMSSessionPoolMBean[] sessionPools)
                         throws javax.management.InvalidAttributeValueException

  Set all the session pools defined for the JMS server.

  A dynamic MBean attribute
  Parameters:
    `sessionPools` - The new sessionPools value
  Throws:
    javax.management.InvalidAttributeValueException -

### addSessionPool

    public boolean addSessionPool(JMSSessionPoolMBean sessionPool)
                           throws javax.management.InvalidAttributeValueException,
                                  DistributedManagementException

  Add a session pool to the JMS server.

  A dynamic MBean attribute
  Parameters:
    `sessionPool` - the sessionPool to add to the JMS server
  Returns:
  Throws:
    javax.management.InvalidAttributeValueException -
    DistributedManagementException -

### removeSessionPool

    public boolean removeSessionPool(JMSSessionPoolMBean sessionPool)
                              throws javax.management.InvalidAttributeValueException,
                                     DistributedManagementException

  Remove a session pool from the JMS server.

  A dynamic MBean attribute
  Parameters:
    `sessionPool` - the sessionPool to remove from the JMS server
  Returns:
  Throws:
    javax.management.InvalidAttributeValueException -
    DistributedManagementException -
    java.lang.IllegalArgumentException - if the sessionPool does not exist.

### getDestinations

    public JMSDestinationMBean[] getDestinations()

  Return map containing all defined destinations and their associated JNDI names.

  A non-configurable MBean attribute.
  Returns:
    The destinations value

### setDestinations

    public void setDestinations(JMSDestinationMBean[] destinations)
                         throws javax.management.InvalidAttributeValueException

  Set all defined destinations for the JMS server.

  A dynamic MBean attribute
  Parameters:
    `destinations` - The new destinations value
  Throws:
    javax.management.InvalidAttributeValueException -

### addDestination

    public boolean addDestination(JMSDestinationMBean destination)
                           throws javax.management.InvalidAttributeValueException,
                                  DistributedManagementException

  Add a JMS destination to the JMS server.

  A dynamic MBean attribute
  Parameters:
    `destination` - the destination to be added to the JMS server
  Returns:
  Throws:
    javax.management.InvalidAttributeValueException -
    DistributedManagementException -
    java.lang.IllegalArgumentException - if destination is null or exists

### removeDestination

    public boolean removeDestination(JMSDestinationMBean destination)
                              throws javax.management.InvalidAttributeValueException,
                                     DistributedManagementException

  Removes a destination from the JNDI tree.

  A dynamic MBean attribute
  Parameters:
    `destination` - the destination to be removed from the JMS server
  Returns:
  Throws:
    javax.management.InvalidAttributeValueException -
    DistributedManagementException -
    java.lang.IllegalArgumentException - if destination is null or does not exist

### getStore

    public JMSStoreMBean getStore()

  The persistent disk-based file or JDBC-accessible database for the JMS server.

  A persistent store may only be used by one JMS server. A value of none specifies that no persistent messaging is supported. If no persistent store is specified, then destinations on this JMS server will not support persistent messages or durable subscribers.

  Returns:
    The store value

### setStore

    public void setStore(JMSStoreMBean store)
                  throws javax.management.InvalidAttributeValueException

  The persistent disk-based file or JDBC-accessible database for the JMS server.

  A persistent store can only be used by one JMS server. A value of none specifies that no persistent messaging is supported. If no persistent store is specified, then destinations on this JMS server will not support persistent messages or durable subscribers.

  Default Value: null
  Legal Value: ((value == void)?(true):(JMSLegalHelper.isUnowned(self, value)))
  Parameters:
    `store` - The new store value
  Throws:
    javax.management.InvalidAttributeValueException -

### getTemporaryTemplate

    public JMSTemplateMBean getTemporaryTemplate()

  The name of the existing JMS template that is used to create all temporary destinations, including temporary queues and temporary topics. The attribute values for a temporary destination are derived from this JMS template. If provided as part of the template, the Store attribute values are ignored because temporary destinations do not support persistent messaging.

  Note: If this attribute is set to none, attempts to create a temporary destination (queue or topic) will fail.

  Returns:
    The temporaryTemplate value

### setTemporaryTemplate

    public void setTemporaryTemplate(JMSTemplateMBean temporaryTemplate)
                              throws javax.management.InvalidAttributeValueException

  The name of the existing JMS template that is used to create all temporary destinations on the JMS server, including temporary queues and temporary topics. The attribute values for a temporary destination are derived from this JMS template. If provided as part of the template, the Store attribute values are ignored because temporary destinations do not support persistent messaging.

  Note: If this attribute is set to none, attempts to create a temporary destination (queue or topic) will fail.

  Default Value: null
  Parameters:
    `temporaryTemplate` - the temporary template for the JMS server
  Throws:
    javax.management.InvalidAttributeValueException -

### getBytesMaximum

    public long getBytesMaximum()

  The maximum bytes quota (total amount of bytes) that can be stored in this JMS server. The default value of -1 specifies that there is no WebLogic-imposed limit on the number of bytes that can be stored. However, excessive bytes volume can cause memory saturation, so this value should correspond to the total amount of available system memory relative to the rest of your application load.

  This attribute is dynamically configurable.

  Range of Values: >= BytesThresholdHigh

  Returns:
    The bytesMaximum value

### setBytesMaximum

    public void setBytesMaximum(long bytesMaximum)
                         throws javax.management.InvalidAttributeValueException,
                                DistributedManagementException

  The maximum bytes quota (total amount of bytes) that can be stored in this JMS server. The default value of -1 specifies that there is no WebLogic-imposed limit on the number of bytes that can be stored. However, excessive bytes volume can cause memory saturation, so this value should correspond to the total amount of available system memory relative to the rest of your application load.

  This attribute is dynamically configurable.

  Range of Values: >= BytesThresholdHigh

  A dynamic MBean attribute
  Default Value: -1
  Legal Value: (value == -1) || ((0 <= value) && (((JMSServerMBean)self).getBytesThresholdHigh() <= value))
  Legal Minimum Value: -1
  Legal Maximum Value: java.lang.Long.MAX_VALUE
  Parameters:
    `bytesMaximum` - The new bytesMaximum value
  Throws:
    javax.management.InvalidAttributeValueException -
    DistributedManagementException -

### getBytesThresholdHigh

    public long getBytesThresholdHigh()

  The upper threshold value that triggers events based on the number of bytes stored in the JMS server. If the number of bytes exceeds this threshold, the triggered events are:

  - Log Messages - A message is logged on the server indicating a high threshold condition.

  - Bytes Paging - If bytes paging is enabled (and a paging store has been configured), then server bytes paging is started.

  - Flow Control - If flow control is enabled, the JMS server becomes armed and instructs producers to begin decreasing their message flow.

  This attribute is dynamically configurable. A value of -1 specifies that the value is not set and that bytes paging, flow control, and threshold log messages are disabled for the JMS server.

  Range of Values: <= BytesMaximum; >BytesThresholdLow

  Note: Bytes paging cannot be dynamically disabled by resetting the BytesThresholdHigh to -1. To disable paging, you could set the BytesThresholdHigh to a very large number, so that paging would not be triggered.

  Returns:
    The bytesThresholdHigh value

### setBytesThresholdHigh

    public void setBytesThresholdHigh(long bytesThresholdHigh)
                               throws javax.management.InvalidAttributeValueException,
                                      DistributedManagementException

  The upper threshold value that triggers events based on the number of bytes stored in the JMS server. If the number of bytes exceeds this threshold, the triggered events are:

  - Log Messages - A message is logged on the server indicating a high threshold condition.

  - Bytes Paging - If bytes paging is enabled (and a paging store has been configured), then server bytes paging is started.

  - Flow Control - If flow control is enabled, the JMS server becomes armed and instructs producers to begin decreasing their message flow.

  This attribute is dynamically configurable. A value of -1 specifies that the value is not set and that bytes paging, flow control, and threshold log messages are disabled for the JMS server.

  Range of Values: <= BytesMaximum; >BytesThresholdLow

  Note: Bytes paging cannot be dynamically disabled by resetting the BytesThresholdHigh to -1. To disable paging, you could set the BytesThresholdHigh to a very large number, so that paging would not be triggered.

  A dynamic MBean attribute
  Default Value: -1
  Legal Value: (value == -1) || ((value >= 0) && (value > ((JMSServerMBean)self).getBytesThresholdLow()) && ((((JMSServerMBean)self).getBytesMaximum() == -1) || (value <= ((JMSServerMBean)self).getBytesMaximum())))
  Legal Minimum Value: -1
  Legal Maximum Value: java.lang.Long.MAX_VALUE
  Parameters:
    `bytesThresholdHigh` - The new bytesThresholdHigh value
  Throws:
    javax.management.InvalidAttributeValueException -
    DistributedManagementException -

### getBytesThresholdLow

    public long getBytesThresholdLow()

  The lower threshold value that triggers events based on the number of bytes stored in the JMS server. If the number of bytes falls below this threshold, the triggered events are:

  - Log Messages - A message is logged on the server indicating that the threshold condition has cleared.

  - Bytes Paging - If bytes paging is enabled, paging is stopped (if paging is occurring).

  - Flow Control - If flow control is enabled, the JMS server becomes disarmed and instructs producers to begin increasing their message flow.

  This attribute is dynamically configurable. A value of -1 specifies that the value is not set and that bytes paging, flow control, and threshold log messages are disabled for the JMS server.

  Range of Values: < BytesThresholdHigh

  Returns:
    The bytesThresholdLow value

### setBytesThresholdLow

    public void setBytesThresholdLow(long bytesThresholdLow)
                              throws javax.management.InvalidAttributeValueException,
                                     DistributedManagementException

  The lower threshold value that triggers events based on the number of bytes stored in the JMS server. If the number of bytes falls below this threshold, the triggered events are:

  - Log Messages - A message is logged on the server indicating that the threshold condition has cleared.

  - Bytes Paging - If bytes paging is enabled, paging is stopped (if paging is occurring).

  - Flow Control - If flow control is enabled, the JMS server becomes disarmed and instructs producers to begin increasing their message flow.

  This attribute is dynamically configurable. A value of -1 specifies that the value is not set and that bytes paging, flow control, and threshold log messages are disabled for the JMS server.

  Range of Values: < BytesThresholdHigh

  A dynamic MBean attribute
  Default Value: -1
  Legal Value: (value == -1) || ((value >= 0) && ((((JMSServerMBean)self).getBytesThresholdHigh() == -1) || (value < ((JMSServerMBean)self).getBytesThresholdHigh())))
  Legal Minimum Value: -1
  Legal Maximum Value: java.lang.Long.MAX_VALUE
  Parameters:
    `bytesThresholdLow` - The new bytesThresholdLow value
  Throws:
    javax.management.InvalidAttributeValueException -
    DistributedManagementException -

### getMessagesMaximum

    public long getMessagesMaximum()

  The maximum message quota (total amount of messages) that can be stored in this JMS server. The default value of -1 specifies that there is no WebLogic-imposed limit on the number of messages that can be stored. However, excessive message volume can cause memory saturation, so this value should correspond to the total amount of available system memory relative to the rest of your application load.

  This attribute is dynamically configurable.

  Range of Values: >= MessagesThresholdHigh

  Returns:
    The messagesMaximum value

### setMessagesMaximum

    public void setMessagesMaximum(long messagesMaximum)
                            throws javax.management.InvalidAttributeValueException,
                                   DistributedManagementException

  The maximum message quota (total amount of messages) that can be stored in this JMS server. The default value of -1 specifies that there is no WebLogic-imposed limit on the number of messages that can be stored. However, excessive message volume can cause memory saturation, so this value should correspond to the total amount of available system memory relative to the rest of your application load.

  This attribute is dynamically configurable.

  Range of Values: >= MessagesThresholdHigh

  A dynamic MBean attribute
  Default Value: -1
  Legal Value: (value == -1) || ((0 <= value) && (((JMSServerMBean)self).getMessagesThresholdHigh() <= value))
  Legal Minimum Value: -1
  Legal Maximum Value: java.lang.Long.MAX_VALUE
  Parameters:
    `messagesMaximum` - The new messagesMaximum value
  Throws:
    javax.management.InvalidAttributeValueException -
    DistributedManagementException -

### getMessagesThresholdHigh

    public long getMessagesThresholdHigh()

  The upper threshold value that triggers events based on the number of messages stored in the JMS server. If the number of messages exceeds this threshold, the triggered events are:

  - Log Messages - A message is logged on the server indicating a high threshold condition.

    Messages Paging - If messages paging is enabled (and a paging store has been configured), then server messages paging is started.

  - Flow Control - If flow control is enabled, the JMS server becomes armed and instructs producers to begin decreasing their message flow.

    A value of -1 specifies that the value is not set and that messages paging, flow control, and threshold log messages are disabled for the JMS server.

    Range of Values: <= MessagesMaximum; >MessagesThresholdLow

    This attribute is dynamically configurable.

    Note: Messages paging cannot be dynamically disabled by resetting the MessagesThresholdHigh to -1. To disable paging, you could set the MessagesThresholdHigh to a very large number, so that paging would not be triggered.

  Returns:
    The messagesThresholdHigh value

### setMessagesThresholdHigh

    public void setMessagesThresholdHigh(long messagesThresholdHigh)
                                  throws javax.management.InvalidAttributeValueException

  The upper threshold value that triggers events based on the number of messages stored in the JMS server. If the number of messages exceeds this threshold, the triggered events are:

  - Log Messages - A message is logged on the server indicating a high threshold condition.

    Messages Paging - If messages paging is enabled (and a paging store has been configured), then server messages paging is started.

  - Flow Control - If flow control is enabled, the JMS server becomes armed and instructs producers to begin decreasing their message flow.

    A value of -1 specifies that the value is not set and that messages paging, flow control, and threshold log messages are disabled for the JMS server.

    Range of Values: <= MessagesMaximum; >MessagesThresholdLow

    This attribute is dynamically configurable.

    Note: Messages paging cannot be dynamically disabled by resetting the MessagesThresholdHigh to -1. To disable paging, you could set the MessagesThresholdHigh to a very large number, so that paging would not be triggered.

  A dynamic MBean attribute
  Default Value: -1
  Legal Value: (value == -1) || ((value >= 0) && (value > ((JMSServerMBean)self).getMessagesThresholdLow()) && ((((JMSServerMBean)self).getMessagesMaximum() == -1) || (value <= ((JMSServerMBean)self).getMessagesMaximum())))
  Legal Minimum Value: -1
  Legal Maximum Value: java.lang.Long.MAX_VALUE
  Parameters:
    `messagesThresholdHigh` - The new messagesThresholdHigh value
  Throws:
    javax.management.InvalidAttributeValueException -

### getMessagesThresholdLow

    public long getMessagesThresholdLow()

  The lower threshold value that triggers events based on the number of messages stored in the JMS server. If the number of messages falls below this threshold, the triggered events are:

  - Log Messages - A message is logged on the server indicating that the threshold condition has cleared.

    Messagse Paging - If messages paging is enabled, paging is stopped (if paging is occurring).

  - Flow Control - If flow control is enabled, the JMS server becomes disarmed and instructs producers to begin increasing their message flow.

  This attribute is dynamically configurable. A value of -1 specifies that the value is not set and that messages paging, flow control, and threshold log messages are disabled for the JMS server.

  Range of Values: < MessagesThresholdHigh

  Returns:
    The messagesThresholdLow value

### setMessagesThresholdLow

    public void setMessagesThresholdLow(long messagesThresholdLow)
                                 throws javax.management.InvalidAttributeValueException,
                                        DistributedManagementException

  The lower threshold value that triggers events based on the number of messages stored in the JMS server. If the number of messages falls below this threshold, the triggered events are:

  - Log Messages - A message is logged on the server indicating that the threshold condition has cleared.

    Messages Paging - If messages paging is enabled, paging is stopped (if paging is occurring).

  - Flow Control - If flow control is enabled, the JMS server becomes disarmed and instructs producers to begin increasing their message flow.

  This attribute is dynamically configurable. A value of -1 specifies that the value is not set and that messages paging, flow control, and threshold log messages are disabled for the JMS server.

  Range of Values: < MessagesThresholdHigh

  A dynamic MBean attribute
  Default Value: -1
  Legal Value: (value == -1) || ((0 <= value) && (((JMSServerMBean)self).getMessagesThresholdHigh() == -1 || value < ((JMSServerMBean)self).getMessagesThresholdHigh()))
  Legal Minimum Value: -1
  Legal Maximum Value: java.lang.Long.MAX_VALUE
  Parameters:
    `messagesThresholdLow` - The new messagesThresholdLow value
  Throws:
    javax.management.InvalidAttributeValueException -
    DistributedManagementException -

### getPagingStore

    public JMSStoreMBean getPagingStore()

  The name of the dedicated JMS file store where message bodies are temporarily swapped out from memory when the JMS server's message load reaches a specified bytes/messages threshold. A paging store cannot be the same JMS file store used for storing persistent messages or durable subscribers.

  A paging store can only be used by one JMS server. A value of none specifies that message paging is not supported. If no paging store is specified, then the JMS server and its destinations will not support message paging.

  Note: Using a JMS JDBC store is not recommended for paging since the amount of traffic and subsequent lack of performance would make such a configuration undesirable.

  Returns:
    The pagingStore value

### setPagingStore

    public void setPagingStore(JMSStoreMBean store)
                        throws javax.management.InvalidAttributeValueException

  The name of the dedicated JMS file store where message bodies are temporarily swapped out from memory when the JMS server's message load reaches a specified bytes/messages threshold. A paging store cannot be the same JMS file store used for storing persistent messages or durable subscribers.

  A paging store can only be used by one JMS server. A value of none specifies that message paging is not supported. If no paging store is specified, then the JMS server and its destinations will not support message paging.

  Note: Using a JMS JDBC store is not recommended for paging since the amount of traffic and subsequent lack of performance would make such a configuration undesirable.

  Default Value: null
  Legal Value: ((value == void)?(true):(JMSLegalHelper.isUnowned(self, value)))
  Parameters:
    `store` - The new pagingStore value
  Throws:
    javax.management.InvalidAttributeValueException -

### isMessagesPagingEnabled

    public boolean isMessagesPagingEnabled()

  Specifies whether messages paging is enabled on this JMS server for temporarily swapping message bodies out from memory to a persistent paging store when the JMS servers's message load reaches a specified threshold.

  - false - Server messages paging is explicitly disabled.

  - true - If both the MessagesThresholdLow and MessagesThresholdHigh values are greater than -1, then server messages paging is enabled.

  If either the MessagesThresholdLow or MessagesThresholdHigh attribute is undefined, or defined as -1, then server messages paging is implicitly disabled--even though this flag is set to true.

  Returns:
    The MessagesPagingEnabled value

### setMessagesPagingEnabled

    public void setMessagesPagingEnabled(boolean enabled)
                                  throws javax.management.InvalidAttributeValueException

  Specifies whether messages paging is enabled on this JMS server for temporarily swapping message bodies out from memory to a persistent paging store when the JMS servers's message load reaches a specified threshold.

  - false - Server messages paging is explicitly disabled.

  - true - If both the MessagesThresholdLow and MessagesThresholdHigh values are greater than -1, then server messages paging is enabled. If a paging store is configured, then the specified store will be used for paging. Otherwise, a default paging store will be created in the working directory of the server.

  If either the MessagesThresholdLow or MessagesThresholdHigh attribute is undefined, or defined as -1, then server messages paging is implicitly disabled--even though this flag is set to true.

  Default Value: false
  Parameters:
    `enabled` - The new messagesPagingEnabled value
  Throws:
    javax.management.InvalidAttributeValueException -

### isBytesPagingEnabled

    public boolean isBytesPagingEnabled()

  Specifies whether bytes paging is enabled on this JMS server for temporarily swapping message bodies out from memory to a persistent paging store when the JMS servers's byte load reaches a specified threshold.

  - false - Server bytes paging is explicitly disabled.

  - true - If both the BytesThresholdLow and BytesThresholdHigh values are greater than -1, then server bytes paging is enabled.

  If either the BytesThresholdLow or BytesThresholdHigh attribute is defined as -1, then server bytes paging is implicitly disabled--even though this flag is set to true.

  Returns:
    The BytesPagingEnabled value

### setBytesPagingEnabled

    public void setBytesPagingEnabled(boolean enabled)
                               throws javax.management.InvalidAttributeValueException

  Specifies whether bytes paging is enabled on this JMS server for temporarily swapping message bodies out from memory to a persistent paging store when the JMS servers's byte load reaches a specified threshold.

  - false - Server bytes paging is explicitly disabled.

  - true - If both the BytesThresholdLow and BytesThresholdHigh byte values are greater than -1, then server bytes paging is enabled. If a paging store is configured, then the specified store will be used for paging. Otherwise, a default paging store will be created in the working directory of the server.

  If either the BytesThresholdLow or BytesThresholdHigh attribute is defined as -1, then server bytes paging is implicitly disabled--even though this flag is set to true.

  Default Value: false
  Parameters:
    `enabled` - The new bytesPagingEnabled value
  Throws:
    javax.management.InvalidAttributeValueException -

### setExpirationScanInterval

    public void setExpirationScanInterval(int scanPeriod)
                                   throws javax.management.InvalidAttributeValueException

  The amount of time, in seconds, that the JMS server will pause between its cycles of scanning its destinations for expired messages to process (acccording to the specified Expiration Policy on the destinations). The default value is 30 seconds. A value of 0 indicates that active scanning is disabled. That is, expired messages are passively removed as they are discovered.

  Setting this value to some very large value also effectively disables active scanning for expired messages from the system. Users will not receive expired messages, and any expired messages that are discovered are removed form the system. However, expired messages sitting in idle destinations (i.e., an inactive queue or disconnected durable subscriber) will not be removed and will continue to consume system resources.

  The scanning and processing cycle for expired messages occurs as follows:

  - After the specified waiting period, the JMS server devotes a separate thread to scan all of its local destinations for expired messages.

  - After the scanning is completed, all discovered expired messages are processed according to the specified Expiration Policy on the destinations (Discard, Log, or Redirect).

  - The entire process repeats after another specified waiting period.

  Note: Since a new scan will not start until the current one is finished and the specified waiting period ends, an expired message could still remain in the system for the maximum scan waiting period plus the amount of time it takes to perform the scan and processing.

  A dynamic MBean attribute
  Default Value: 30
  Legal Minimum Value: 0
  Legal Maximum Value: java.lang.Integer.MAX_VALUE
  Parameters:
    `scanPeriod` - The new expirationScanInterval value
  Throws:
    javax.management.InvalidAttributeValueException -

### getExpirationScanInterval

    public int getExpirationScanInterval()

  The amount of time, in seconds, that the JMS server will pause between its cycles of scanning its destinations for expired messages to process (acccording to the specified Expiration Policy on the destinations). The default value is 30 seconds. A value of 0 indicates that active scanning is disabled. That is, expired messages are passively removed as they are discovered.

  Setting this value to some very large value also effectively disables active scanning for expired messages from the system. Users will not receive expired messages, and any expired messages that are discovered are removed form the system. However, expired messages sitting in idle destinations (i.e., an inactive queue or disconnected durable subscriber) will not be removed and will continue to consume system resources.

  The scanning and processing cycle for expired messages occurs as follows:

  - After the specified waiting period, the JMS server devotes a separate thread to scan all of its local destinations for expired messages.

  - After the scanning is completed, all located expired messages are processed according to the specified Expiration Policy on the destinationa (Discard, Log, or Redirect).

  - The entire process repeats after another specified waiting period.

  Note: Since a new scan will not start until the current one is finished and until the the specified waiting period ends, an expired message could still remain in the system for the maximum scan waiting period plus the amount of time it takes to perform the scan.

  Returns:
    The ExpirationScanInterval value

### getMaximumMessageSize

    public int getMaximumMessageSize()

  The maximum size of a message that will be accepted from producers on this JMS server. The message size includes the message body, any user-defined properties, and the user-defined JMS header fields: `JMSCorrelationID` and `JMSType`. Producers sending messages that exceed the configured maximum message size for the JMS server will receive a `ResourceAllocationException`.

  The maximum message size is only enforced for the initial production of a message. Messages that are redirected to an error destination or forwarded to a member of a distributed destination are not checked for size. For instance, if a destination and its corresponding error destination are configured with a maximum message size of 128K bytes and 64K bytes, respectively, a message of 96K bytes could be redirected to the error destination (even though it exceeds the 64K byte maximum), but a producer could not directly send the 96K byte message to the error destination.

  This attribute is dynamically configurable, but only incoming messages are impacted; stored messages are not impacted.

  A dynamic MBean attribute
  Default Value: java.lang.Integer.MAX_VALUE
  Legal Minimum Value: 0
  Legal Maximum Value: java.lang.Integer.MAX_VALUE
  Returns:
    The maximumMessageSize value

### setMaximumMessageSize

    public void setMaximumMessageSize(int maxMessageSize)
                               throws javax.management.InvalidAttributeValueException,
                                      DistributedManagementException

  The maximum size of a message that will be accepted from producers on this JMS server. The message size includes the message body, any user-defined properties, and the user-defined JMS header fields: `JMSCorrelationID` and `JMSType`. Producers sending messages that exceed the configured maximum message size for the JMS server will receive a `ResourceAllocationException`.

  The maximum message size is only enforced for the initial production of a message. Messages that are redirected to an error destination or forwarded to a member of a distributed destination are not checked for size. For instance, if a destination and its corresponding error destination are configured with a maximum message size of 128K bytes and 64K bytes, respectively, a message of 96K bytes could be redirected to the error destination (even though it exceeds the 64K byte maximum), but a producer could not directly send the 96K byte message to the error destination.

  This attribute is dynamically configurable, but only incoming messages are impacted; stored messages are not impacted.

  A dynamic MBean attribute
  Default Value: java.lang.Integer.MAX_VALUE
  Legal Minimum Value: 0
  Legal Maximum Value: java.lang.Integer.MAX_VALUE
  Parameters:
    `maxMessageSize` - The new maximumMessageSize value
  Throws:
    javax.management.InvalidAttributeValueException -
    DistributedManagementException -

### getBlockingSendPolicy

    public java.lang.String getBlockingSendPolicy()

  The JMS server's policy on whether to deliver smaller messages before larger ones when a destination has exceeded its message quota. This can occur when multiple senders are competing for space on the same JMS server.

  This policy is defined only for the JMS server; it cannot be set on individual destinations. The valid expiration policies are:

  - FIFO - The first in, first out policy indicates that all send requests for the same destination are queued up one behind the other until space is available. No send request is permitted to successfully complete if there is another send request waiting for space before it. When space is limited, the FIFO policy prevents the starvation of larger requests because smaller requests cannot continuously use the remaining available space. Smaller requests are delayed, though not starved, until the larger request can be completed. When space does become available, requests are considered in the order in which they were made.
    If there is sufficient space for a given request, then that request is completed and the next request is considered. If there is insufficient space for a given request, then no further requests are considered until sufficient space becomes available for the current request to complete.

  - Preemptive - Indicates that a send operation can preempt other blocking send operations if space is available. That is, if there is sufficient space for the current request, then that space is used even if there are other requests waiting for space. When space is limited, the Preemptive policy can result in the starvation of larger requests. For example, if there is insufficient available space for a large request, then it is queued up behind other existing requests. When space does become available, all requests are considered in the order in which they were originally made.
    If there is sufficient space for a given request, then that request is allowed to continue and the next request is considered. If there is insufficient space for a given request, then that request is skipped and the next request is considered.

  Returns:
    The blockingSendPolicy value

### setBlockingSendPolicy

    public void setBlockingSendPolicy(java.lang.String blockingSendPolicy)
                               throws javax.management.InvalidAttributeValueException

  The JMS server's policy on whether to deliver smaller messages before larger ones when a destination has exceeded its message quota. This can occur when multiple senders are competing for space on the same JMS server.

  This policy is defined only for the JMS server; it cannot be set on individual destinations. The valid expiration policies are:

  - FIFO - The first in, first out policy indicates that all send requests for the same destination are queued up one behind the other until space is available. No send request is permitted to successfully complete if there is another send request waiting for space before it. When space is limited, the FIFO policy prevents the starvation of larger requests because smaller requests cannot continuously use the remaining available space. Smaller requests are delayed, though not starved, until the larger request can be completed. When space does become available, requests are considered in the order in which they were made.
    If there is sufficient space for a given request, then that request is completed and the next request is considered. If there is insufficient space for a given request, then no further requests are considered until sufficient space becomes available for the current request to complete.

  - Preemptive - Indicates that a send operation can preempt other blocking send operations if space is available. That is, if there is sufficient space for the current request, then that space is used even if there are other requests waiting for space. When space is limited, the Preemptive policy can result in the starvation of larger requests. For example, if there is insufficient available space for a large request, then it is queued up behind other existing requests. When space does become available, all requests are considered in the order in which they were originally made.
    If there is sufficient space for a given request, then that request is allowed to continue and the next request is considered. If there is insufficient space for a given request, then that request is skipped and the next request is considered.

  A dynamic MBean attribute
  Default Value: JMSConstants.FIFO
  Legal Values: JMSConstants.FIFO,JMSConstants.PREEMPTIVE
  Parameters:
    `blockingSendPolicy` - The new blockingSendPolicy value
  Throws:
    javax.management.InvalidAttributeValueException -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD